Confirm a team notification address
POST
/api/v1/public/team-address/verify
const url = 'https://api.deploybase.eu/api/v1/api/v1/public/team-address/verify';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.deploybase.eu/api/v1/api/v1/public/team-address/verify \ --header 'Content-Type: application/json' \ --data '{ "token": "example" }'Consumes the confirmation token and puts the address in force for the team’s mail. Single use. Every team owner and the previous address are told. Every bad token answers the same 400.
Request Body
Section titled “ Request Body ”Confirmation token
Media type application/json
object
token
string
Example generated
{ "token": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "data": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Link is invalid, expired or already used
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Live 174db30c built